<main class="viewer__container" *ngIf="boksElement$ | async as boksElement">
  <div class="viewer__wide">
    <header>
      <lib-pageheader
        [pageTitle]="boksElement.name"
        [superTitle]="'BOKS details'"
        [buttonText]="'Wijzigen'"
        [buttonImageClass]="'fa fa-edit fa-lg'"
        [actionIsAllowed]="userMayEdit$ | async"
        (action)="onEditElement(boksElement?.id)"
      ></lib-pageheader>
    </header>

    <nav>
      <lib-actions [actionsGroup]="actions"></lib-actions>
    </nav>

    <article>
      <section class="resultpage__content">
        <p *ngIf="boksElement?.parent">
          Onderdeel van
          <a [routerLink]="['..', boksElement?.parent?.id]">
            {{ boksElement?.parent?.name }}
          </a>
        </p>

        <table class="table">
          <tbody>
            <tr>
              <td>Beschrijving</td>
              <td>{{ boksElement?.shortDescription }}</td>
            </tr>
            <tr>
              <td>Lange beschrijving</td>
              <td [innerHTML]="boksElement?.longDescription"></td>
            </tr>
            <tr>
              <td>Administratieve message</td>
              <td>{{ boksElement?.administrativeRemark }}</td>
            </tr>
            <tr>
              <td>Aangemaakt door</td>
              <td>
                {{ boksElement?.createdBy?.data?.firstname }}
                {{ boksElement?.createdBy?.data?.lastname }}
              </td>
            </tr>
            <tr>
              <td>Aangemaakt op</td>
              <td>{{ boksElement?.createdAt }}</td>
            </tr>
          </tbody>
        </table>

        <div class="row">
          <div class="col-xs">
            <lib-pageheader
              [pageTitle]="'Subnodes'"
              [buttonText]="'Toevoegen'"
              [buttonImageClass]="'fa fa-plus fa-lg'"
              [actionIsAllowed]="userMayEdit$ | async"
              (action)="onAddSubNodeElement(boksElement?.id)"
            ></lib-pageheader>

            <div *ngIf="boksElement?.childNodes?.length > 0">
              <table class="table table-hover clickable">
                <tbody>
                  <tr
                    *ngFor="let child of boksElement.childNodes"
                    class="clickable"
                    (click)="onSelectSubElement(child.id)"
                  >
                    <td>
                      {{ child.name }}
                    </td>
                    <td>{{ child.shortDescription }}</td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div *ngIf="!boksElement?.childNodes || boksElement?.childNodes?.length === 0">
              <p>Dit element heeft geen onderliggende BOKS-elementen.</p>
            </div>
          </div>

          <div class="col-xs">
            <lib-pageheader
              [pageTitle]="'BOKS Content'"
              [buttonText]="'Toevoegen'"
              [buttonImageClass]="'fa fa-plus fa-lg'"
              [actionIsAllowed]="userMayEdit$ | async"
              (action)="onAddContentElement(boksElement?.id)"
            ></lib-pageheader>

            <div *ngIf="boksElement?.contentNodes?.length > 0">
              <table class="table table-hover clickable">
                <tbody>
                  <tr
                    *ngFor="let content of boksElement.contentNodes"
                    class="clickable"
                    (click)="onSelectSubElement(content.id)"
                  >
                    <td>
                      {{ content.name }}
                    </td>
                    <td>{{ content.shortDescription }}</td>
                  </tr>
                </tbody>
              </table>
            </div>
            <div *ngIf="!boksElement?.contentNodes || boksElement?.contentNodes?.length === 0">
              <p>Dit element heeft nog geen BOKS content.</p>
            </div>
          </div>
        </div>
      </section>

      <router-outlet></router-outlet>
    </article>

    <footer>
      <h3>Footertekst hier</h3>
      <p>Ruimte voor footer.</p>
    </footer>
  </div>
</main>
